Subject: Re: bug#34152: awesome crashes on reload

From: "Bradley Haggerty" <[email-masked]>
Date: Wed, 04 Oct 2023 13:54:35 -0500

On Wed Oct 4, 2023 at 1:29 PM CDT, Simon Tournier wrote:
> Hi,
>
> Sorry, it seems this report #34152 [1] ell into the cracks.
>
> 1: https://issues.guix.gnu.org/issue/34152
>
> On Mon, 21 Jan 2019 at 06:26, Bradley Haggerty <[email-masked]> wrote:
> > When trying to reload awesome window manager in-place, it restarts X and sends me back to the graphical login. It's
> > only supposed to flash for a second and not even kill any programs. Sometimes I'm able to see something like "login
> > command failed" printed on the screen.
> >
> > To recreate this, install the "awesome" package, log in to it, and either press control-super-r or open the menu in the top
> > left and go to awesome -> restart.
> >
> > guix version:
> > guix (GNU Guix) 1c17adbc7957d024158948a853f4fbc22e52a0f6
>
> Is it still the case for you?
>
>
> Cheers,
> simon

I've since moved to Sway and am planning to stick with Wayland. I don't
recall the issue ever being fixed while I was still using awesomewm, but
not sure if it works now. Should be easy enough to test if someone was
interested. I'm fine with this being closed since I'm no longer using
awesomewm.